다음을 통해 공유


Projects - Create

Cognitive Services 계정의 프로젝트를 만듭니다. 프로젝트는 AI 개발자에게 작업할 수 있는 개별 컨테이너를 제공하는 계정의 하위 리소스입니다.

PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.CognitiveServices/accounts/{accountName}/projects/{projectName}?api-version=2025-06-01

URI 매개 변수

Name In(다음 안에) 필수 형식 Description
accountName
path True

string

minLength: 2
maxLength: 64
pattern: ^[a-zA-Z0-9][a-zA-Z0-9_.-]*$

Cognitive Services 계정의 이름입니다.

projectName
path True

string

minLength: 2
maxLength: 64
pattern: ^[a-zA-Z0-9][a-zA-Z0-9_.-]*$

Cognitive Services 계정의 프로젝트 이름입니다.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

리소스 그룹의 이름입니다. 이름은 대소문자를 구분하지 않습니다.

subscriptionId
path True

string

minLength: 1

대상 구독의 ID입니다.

api-version
query True

string

minLength: 1

이 작업에 사용할 API 버전입니다.

요청 본문

Name 형식 Description
identity

Identity

리소스의 ID입니다.

location

string

리소스가 있는 지리적 위치

properties

ProjectProperties

Cognitive Services 프로젝트의 속성입니다.

tags

object

리소스 태그.

응답

Name 형식 Description
200 OK

Project

리소스가 성공적으로 만들어졌거나 이미 존재하는 경우 서비스는 200(확인)을 반환해야 합니다.

201 Created

Project

리소스가 성공적으로 만들어지면 서비스는 201(확인)을 반환해야 합니다.

202 Accepted

Project

HTTP 202(수락됨) 작업이 성공적으로 시작되고 비동기적으로 완료되는 경우.

Other Status Codes

ErrorResponse

작업이 실패한 이유를 설명하는 오류 응답

예제

Create Project
Create Project Min

Create Project

샘플 요청

PUT https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/myResourceGroup/providers/Microsoft.CognitiveServices/accounts/testCreate1/projects/testProject1?api-version=2025-06-01

{
  "location": "West US",
  "properties": {
    "description": "Description of this project",
    "displayName": "p1"
  },
  "identity": {
    "type": "SystemAssigned"
  }
}

샘플 응답

{
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/myResourceGroup/providers/Microsoft.CognitiveServices/accounts/testCreate1/projects/testProject1",
  "name": "testProject1",
  "type": "Microsoft.CognitiveServices/accounts/projects",
  "location": "West US",
  "etag": "W/\"datetime'2017-04-10T08%3A00%3A05.445595Z'\"",
  "properties": {
    "description": "Description of this project",
    "displayName": "p1",
    "provisioningState": "Succeeded",
    "endpoints": {
      "OpenAI Language Model Instance API": "https://sub-donmain-name.openai.azure.com/",
      "OpenAI Dall-E API": "https://sub-donmain-name.openai.azure.com/",
      "OpenAI Sora API": "https://sub-donmain-name.openai.azure.com/"
    },
    "isDefault": true
  },
  "identity": {
    "principalId": "b5cf119e-a5c2-42c7-802f-592e0efb169f",
    "tenantId": "72f988bf-86f1-41af-91ab-2d7cd011db47",
    "type": "SystemAssigned"
  }
}
{
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/myResourceGroup/providers/Microsoft.CognitiveServices/accounts/testCreate1/projects/testProject1",
  "name": "testProject1",
  "type": "Microsoft.CognitiveServices/accounts/projects",
  "location": "West US",
  "etag": "W/\"datetime'2017-04-10T07%3A57%3A48.4582781Z'\"",
  "properties": {
    "description": "Description of this project",
    "displayName": "p1",
    "provisioningState": "Succeeded",
    "endpoints": {
      "OpenAI Language Model Instance API": "https://sub-donmain-name.openai.azure.com/",
      "OpenAI Dall-E API": "https://sub-donmain-name.openai.azure.com/",
      "OpenAI Sora API": "https://sub-donmain-name.openai.azure.com/"
    },
    "isDefault": true
  },
  "identity": {
    "principalId": "b5cf119e-a5c2-42c7-802f-592e0efb169f",
    "tenantId": "72f988bf-86f1-41af-91ab-2d7cd011db47",
    "type": "SystemAssigned"
  }
}
{
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/myResourceGroup/providers/Microsoft.CognitiveServices/accounts/testCreate1/projects/testProject1",
  "name": "testProject1",
  "type": "Microsoft.CognitiveServices/accounts/projects",
  "location": "West US",
  "etag": "W/\"datetime'2017-04-10T07%3A57%3A48.4582781Z'\"",
  "properties": {
    "description": "Description of this project",
    "displayName": "p1",
    "provisioningState": "Succeeded",
    "endpoints": {
      "OpenAI Language Model Instance API": "https://sub-donmain-name.openai.azure.com/",
      "OpenAI Dall-E API": "https://sub-donmain-name.openai.azure.com/",
      "OpenAI Sora API": "https://sub-donmain-name.openai.azure.com/"
    },
    "isDefault": true
  },
  "identity": {
    "principalId": "b5cf119e-a5c2-42c7-802f-592e0efb169f",
    "tenantId": "72f988bf-86f1-41af-91ab-2d7cd011db47",
    "type": "SystemAssigned"
  }
}

Create Project Min

샘플 요청

PUT https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/myResourceGroup/providers/Microsoft.CognitiveServices/accounts/testCreate1/projects/testProject1?api-version=2025-06-01

{
  "location": "West US",
  "properties": {},
  "identity": {
    "type": "SystemAssigned"
  }
}

샘플 응답

{
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/myResourceGroup/providers/Microsoft.CognitiveServices/accounts/testCreate1/projects/testProject1",
  "name": "testProject1",
  "type": "Microsoft.CognitiveServices/accounts/projects",
  "location": "West US",
  "etag": "W/\"datetime'2017-04-10T08%3A00%3A05.445595Z'\"",
  "properties": {
    "provisioningState": "Succeeded",
    "endpoints": {
      "OpenAI Language Model Instance API": "https://sub-donmain-name.openai.azure.com/",
      "OpenAI Dall-E API": "https://sub-donmain-name.openai.azure.com/",
      "OpenAI Sora API": "https://sub-donmain-name.openai.azure.com/"
    },
    "isDefault": true
  },
  "identity": {
    "principalId": "b5cf119e-a5c2-42c7-802f-592e0efb169f",
    "tenantId": "72f988bf-86f1-41af-91ab-2d7cd011db47",
    "type": "SystemAssigned"
  }
}
{
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/myResourceGroup/providers/Microsoft.CognitiveServices/accounts/testCreate1",
  "name": "testProject1",
  "type": "Microsoft.CognitiveServices/accounts/projects",
  "location": "West US",
  "etag": "W/\"datetime'2017-04-10T07%3A57%3A48.4582781Z'\"",
  "properties": {
    "provisioningState": "Succeeded",
    "endpoints": {
      "OpenAI Language Model Instance API": "https://sub-donmain-name.openai.azure.com/",
      "OpenAI Dall-E API": "https://sub-donmain-name.openai.azure.com/",
      "OpenAI Sora API": "https://sub-donmain-name.openai.azure.com/"
    },
    "isDefault": true
  },
  "identity": {
    "principalId": "b5cf119e-a5c2-42c7-802f-592e0efb169f",
    "tenantId": "72f988bf-86f1-41af-91ab-2d7cd011db47",
    "type": "SystemAssigned"
  }
}
{
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/myResourceGroup/providers/Microsoft.CognitiveServices/accounts/testCreate1",
  "name": "testProject1",
  "type": "Microsoft.CognitiveServices/accounts/projects",
  "location": "West US",
  "etag": "W/\"datetime'2017-04-10T07%3A57%3A48.4582781Z'\"",
  "properties": {
    "provisioningState": "Succeeded",
    "endpoints": {
      "OpenAI Language Model Instance API": "https://sub-donmain-name.openai.azure.com/",
      "OpenAI Dall-E API": "https://sub-donmain-name.openai.azure.com/",
      "OpenAI Sora API": "https://sub-donmain-name.openai.azure.com/"
    },
    "isDefault": true
  },
  "identity": {
    "principalId": "b5cf119e-a5c2-42c7-802f-592e0efb169f",
    "tenantId": "72f988bf-86f1-41af-91ab-2d7cd011db47",
    "type": "SystemAssigned"
  }
}

정의

Name Description
createdByType

리소스를 만든 ID 유형입니다.

ErrorAdditionalInfo

리소스 관리 오류 추가 정보입니다.

ErrorDetail

오류 세부 정보입니다.

ErrorResponse

오류 응답

Identity

리소스의 ID입니다.

Project

Cognitive Services 프로젝트는 프로비전된 계정의 프로젝트, 유형, 위치 및 SKU를 나타내는 Azure 리소스입니다.

ProjectProperties

Cognitive Services 프로젝트의 속성'.

ProvisioningState

작업이 호출된 시점의 Cognitive Services 계정의 상태를 가져옵니다.

ResourceIdentityType

ID 형식입니다.

systemData

리소스의 생성 및 마지막 수정과 관련된 메타데이터입니다.

UserAssignedIdentity

사용자 할당 관리 ID.

createdByType

리소스를 만든 ID 유형입니다.

Description
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

리소스 관리 오류 추가 정보입니다.

Name 형식 Description
info

object

추가 정보입니다.

type

string

추가 정보 유형입니다.

ErrorDetail

오류 세부 정보입니다.

Name 형식 Description
additionalInfo

ErrorAdditionalInfo[]

오류 추가 정보입니다.

code

string

오류 코드입니다.

details

ErrorDetail[]

오류 세부 정보입니다.

message

string

오류 메시지입니다.

target

string

오류 대상입니다.

ErrorResponse

오류 응답

Name 형식 Description
error

ErrorDetail

오류 개체입니다.

Identity

리소스의 ID입니다.

Name 형식 Description
principalId

string

리소스 ID의 보안 주체 ID입니다.

tenantId

string

리소스의 테넌트 ID입니다.

type

ResourceIdentityType

ID 형식입니다.

userAssignedIdentities

<string,  UserAssignedIdentity>

리소스와 연결된 사용자 할당 ID 목록입니다. 사용자 ID 사전 키 참조는 '/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ManagedIdentity/userAssignedIdentities/{identityName} 형식의 ARM 리소스 ID입니다.

Project

Cognitive Services 프로젝트는 프로비전된 계정의 프로젝트, 유형, 위치 및 SKU를 나타내는 Azure 리소스입니다.

Name 형식 Description
etag

string

리소스 Etag.

id

string

리소스에 대한 정규화된 리소스 ID입니다. 예 - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}

identity

Identity

리소스의 ID입니다.

location

string

리소스가 있는 지리적 위치

name

string

리소스의 이름

properties

ProjectProperties

Cognitive Services 프로젝트의 속성입니다.

systemData

systemData

리소스의 생성 및 마지막 수정과 관련된 메타데이터입니다.

tags

object

리소스 태그.

type

string

리소스의 형식입니다. 예: "Microsoft.Compute/virtualMachines" 또는 "Microsoft.Storage/storageAccounts"

ProjectProperties

Cognitive Services 프로젝트의 속성'.

Name 형식 Description
description

string

Cognitive Services 프로젝트에 대한 설명입니다.

displayName

string

Cognitive Services 프로젝트의 표시 이름입니다.

endpoints

object

이 Cognitive Services 프로젝트의 엔드포인트 목록입니다.

isDefault

boolean

프로젝트가 계정의 기본 프로젝트인지 여부를 나타냅니다.

provisioningState

ProvisioningState

작업이 호출된 시점의 Cognitive Services 프로젝트의 상태를 가져옵니다.

ProvisioningState

작업이 호출된 시점의 Cognitive Services 계정의 상태를 가져옵니다.

Description
Accepted
Creating
Deleting
Moving
Failed
Succeeded
ResolvingDNS

ResourceIdentityType

ID 형식입니다.

Description
None
SystemAssigned
UserAssigned
SystemAssigned, UserAssigned

systemData

리소스의 생성 및 마지막 수정과 관련된 메타데이터입니다.

Name 형식 Description
createdAt

string (date-time)

리소스 생성 타임스탬프(UTC)입니다.

createdBy

string

리소스를 만든 ID입니다.

createdByType

createdByType

리소스를 만든 ID 유형입니다.

lastModifiedAt

string (date-time)

리소스 마지막 수정의 타임스탬프(UTC)

lastModifiedBy

string

리소스를 마지막으로 수정한 ID입니다.

lastModifiedByType

createdByType

리소스를 마지막으로 수정한 ID 유형입니다.

UserAssignedIdentity

사용자 할당 관리 ID.

Name 형식 Description
clientId

string

이 ID와 연결된 클라이언트 앱 ID입니다.

principalId

string

이 ID와 연결된 Azure Active Directory 보안 주체 ID입니다.